#! /usr/bin/env python3

import os
import sys

# adding all packages in method folder to the python path
script_dir = os.path.dirname(os.path.realpath(__file__))

# pull the path to the toplevel tc1 directory
tc1_path = sys.argv[1]

tc1_path = os.path.abspath(tc1_path)

print(f'Searching for TC1 tool under: {tc1_path}')
if not os.path.exists(tc1_path):
    print(f'Error: path not found ({tc1_path})')
    print('Please provide a valid path to the TC1 standalone tool and reconfigure')
    sys.exit(1)
   
# now validate the the tcell_mhci.py file is found
tc1_full_path = os.path.join(tc1_path, 'src', 'tcell_mhci.py')

print(f'Searching for tcell_mhci.py script at: {tc1_full_path}')
if not os.path.exists(tc1_full_path):
    print(f'Error: tcell_mhci.py script not found in expected location ({tc1_full_path})')
    print('Please provide a valid path to the TC1 standalone tool and reconfigure')
    sys.exit(1)
    
# now print that path into a file
path_config_file = os.path.join(script_dir, 'path_config.py')
with open(path_config_file, "w") as f:
    print(f'TC1_EXECUTABLE_PATH="{tc1_full_path}"', file=f)

print("Configuration complete!")